import {
  splicingParam,
  postform,
  post,
} from '../utils/request'

// 获取点标注图片
const getMarkImage = () => {
  return post(systemConfig.markUrl + '/getMarkIcon')
}

// 获取当前用户全部标注
const getMarkByUser = (params) => {
  return post(systemConfig.markUrl + '/selectByUser?' + splicingParam(params))
}

// 新增标注
const addNewMark = (params) => {
  return postform(systemConfig.markUrl + '/addConllection', params)
}

// 修改标注
const updataMark = (params) => {
  return postform(systemConfig.markUrl + '/updateConllection', params)
}

// 根据id删除标注
const delMarkByID = (params) => {
  return post(systemConfig.markUrl + '/deleteConllection?' + splicingParam(params))
}

export default {
  getMarkImage,
  getMarkByUser,
  addNewMark,
  updataMark,
  delMarkByID
}
